diff --git a/Makefile b/Makefile
index 4d341bd..c4757f4 100644
--- a/Makefile
+++ b/Makefile
@@ -46,6 +46,11 @@ CPM	= cpm_interpreter.o
 COCO	= coco.o 
 DRAG	= dragon.o
 TRS4	= trsm4.o
+SORC	= sorcerer.o 
+OSI	= osi.o 
+NSC	= nascom.o
+XTL	= xtal.o 
+CMPCLR	= compucolor.o
 #SOR	= sorcerer.o 
 #OSI	= osi.o
 #XTAL   = xtal.o
@@ -64,8 +69,16 @@ BINARY7 = trsm4ascii
 
 BINARY= $(BINARY1) $(BINARY2) $(BINARY3) $(BINARY4) $(BINARY5) $(BINARY6) $(BINARY7) 
 
+UNTST1	= osiascii
+UNTST2	= sorcascii
+UNTST3	= nscmascii
+UNTST4	= xtalascii 
+UNTST5	= compucolorascii 
+
 all:	$(BINARY)   
 
+untst:	$(UNTST1) $(UNTST2) $(UNTST3) $(UNTST4) $(UNTST5)  
+
 $(BINARY1): $(HEADERS) $(OBJECTS) $(TRS) 
 	$(CC) $(CFLAGS) -o $(BINARY1) $(OBJECTS) $(TRS) $(LIBS)
 
@@ -86,6 +99,22 @@ $(BINARY6): $(HEADERS) $(OBJECTS) $(DRAG)
 
 $(BINARY7): $(HEADERS) $(OBJECTS) $(TRS4) 
 	$(CC) $(CFLAGS) -o $(BINARY7) $(OBJECTS) $(TRS4) $(LIBS)
+
+$(UNTST1): $(HEADERS) $(OBJECTS) $(OSI) 
+	$(CC) $(CFLAGS) -o $(UNTST1) $(OBJECTS) $(OSI) $(LIBS)
+
+$(UNTST2): $(HEADERS) $(OBJECTS) $(SORC) 
+	$(CC) $(CFLAGS) -o $(UNTST2) $(OBJECTS) $(SORC) $(LIBS)
+
+$(UNTST3): $(HEADERS) $(OBJECTS) $(NSC) 
+	$(CC) $(CFLAGS) -o $(UNTST3) $(OBJECTS) $(NSC) $(LIBS)
+
+$(UNTST4): $(HEADERS) $(OBJECTS) $(XTL) 
+	$(CC) $(CFLAGS) -o $(UNTST4) $(OBJECTS) $(XTL) $(LIBS)
+
+$(UNTST5): $(HEADERS) $(OBJECTS) $(CMPCLR) 
+	$(CC) $(CFLAGS) -o $(UNTST5) $(OBJECTS) $(CMPCLR) $(LIBS) 
+
 clean:
 	rm -f *.o $(BINARY) *~
 
diff --git a/nascom.h b/nascom.h
index 7f3a064..e0f8f4e 100644
--- a/nascom.h
+++ b/nascom.h
@@ -8,17 +8,17 @@ typedef struct {
 
 
 gwb_optable gwb_ops[] = {
-0x80,"END"
-0x81,"FOR"
-0x82,"NEXT"
-0x83,"DATA"
-0x84,"INPUT"
-0x85,"DIM"
-0x86,"READ"
-0x87,"LET"
-0x88,"GOTO"
-0x89,"RUN"
-0x8a,"IF"
+0x80,"END",
+0x81,"FOR",
+0x82,"NEXT",
+0x83,"DATA",
+0x84,"INPUT",
+0x85,"DIM",
+0x86,"READ",
+0x87,"LET",
+0x88,"GOTO",
+0x89,"RUN",
+0x8a,"IF",
 0x8b,"RESTORE",
 0x8c,"GOSUB",
 0x8d,"RETURN",
